Bug 1381917 - add aliases for each of yum-utils binaries
add aliases for each of yum-utils binaries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
: FutureFeature, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-05 07:26 EDT by Ed Avis
Modified: 2017-06-09 15:06 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-2.5.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-09 15:06:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2016-10-05 07:26:57 EDT
Fedora provides 'debuginfo-install' in yum-utils as a handy wrapper to install debuginfo packages.  In Fedora 24 when you run it it produces a warning that yum-utils is deprecated.  But even when yum-utils goes away, there should still be a quick way to install debuginfo packages.  Please switch debuginfo-install's implementation so that it uses dnf instead of yum under the covers.
Comment 1 Michal Luscon 2016-10-05 07:30:28 EDT
Isn't dnf debuginfo-install quick enough?
Comment 2 Ed Avis 2016-10-05 07:32:24 EDT
Yes, that's great, and I suggest that debuginfo-install should become an alias for dnf debuginfo-install.
Comment 3 Igor Gnatenko 2016-10-05 07:41:29 EDT
(In reply to Michal Luscon from comment #1)
> Isn't dnf debuginfo-install quick enough?

Basically we should make wrappers for debuginfo-install/repoquery/etc.
Comment 4 Jaroslav Mracek 2017-01-11 09:45:38 EST
There is pull-request that provides requested feature: https://github.com/rpm-software-management/dnf-plugins-core/pull/197
Comment 5 Fedora Update System 2017-05-22 08:41:58 EDT
dnf-plugins-extras-2.0.1-1.fc26 dnf-plugins-core-2.1.0-1.fc26 libdnf-0.9.0-1.fc26 dnf-2.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 6 Fedora Update System 2017-05-22 12:40:33 EDT
dnf-2.5.0-1.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 7 Fedora Update System 2017-05-24 04:32:59 EDT
dnf-2.5.0-1.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.17-3.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 8 Fedora Update System 2017-05-24 10:33:44 EDT
dnf-2.5.0-2.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.18-1.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 9 Fedora Update System 2017-05-25 15:18:06 EDT
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 10 Fedora Update System 2017-06-09 15:06:41 EDT
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.